import { prop, getModelForClass, Ref } from "@typegoose/typegoose"
import Member, { MemberAdditionalAcknowledgement, MemberUsedLanguages, MemberUsedOperatingSystems } from "./Member";

interface AddtlScoreData {
    activity: number;
    roles: number;
    moderation: number;
    cloudServices: number;
    misc: number;
}

/* TODO
* Comments
* Further attributes for class
* */

export default class CommunityReport {
    @prop({ required: true, index: true, ref: () => Member })
    public member: Ref<Member> | undefined;

    @prop()
    public lastUpdated: Date | undefined;

    @prop()
    public score: number | undefined;

    @prop()
    public additionalScoreData: AddtlScoreData | undefined;
}
